## openmosix 1.5.4-3

=== src/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


#  From here to the end, there is nothing more to touch
# in a normal instalation.

# Here are the dirs
DIRS	=	moslib fixvfork migrate mosrun setpe mon mosctl # tune tune does not work

MAKE	=	make

HERE	=	$(shell pwd)

all: clean build man install 
	@echo This software is under GPL
	@echo You must accept this licence for using it
	@echo You are encourage to use, modify and distribute this 
	@echo software under GPL terms.
	@echo ----------------------------------------------------------
	@echo Mosix is \(c\) of prof.  Barak, http://www.mosix.org
	@echo OpenMosix is \(c\) of Moshe Bar, http://www.openmosix.org
	@echo Makefiles, bugfixing, mainteance \(c\) of David Santo Orcero 
	@echo               http://www.orcero.org/irbis
	@echo ----------------------------------------------------------
	@echo Authors:
	@echo fixvfork-\>Ariel Eizenberg
	@echo migrate-\>Ariel Rosenblatt
	@echo mon-\>Amnon Shiloh
	@echo mosctl-\>Amnon Shiloh, Oren Laadan, Ariel Rosenblatt
	@echo moslib-\>Ariel Rosenblatt, Amnon Shiloh
	@echo mosrun-\>Amnon Shiloh, Ariel Rosenblatt
	@echo setpe-\>Amnon Shiloh, Oren Laadan
	@echo tune-\>Shlomo Matichen, Amnon Shiloh
	@echo ----------------------------------------------------------
	@echo  This is a fork of Mosix proyect 1.1.2, what is GPL. Note
	@echo that more recent version of the userland tools are not all
	@echo GPLed -in fact, none of them after 1.5.2 is GPL-.
	@echo ----------------------------------------------------------
	@echo Please send patchs, comments and suggestions to
	@echo irbis@orcero.org
	@echo  And happy hacking!
	
	

man:
	for i in $(DIRS); do echo Working on $$i; cd $(HERE)/$$i ;  $(MAKE) man; done 

build:
	echo Compiling OpenMosix official userland tools
	for i in $(DIRS); do echo Working on $$i; cd $(HERE)/$$i ;  $(MAKE) build; done 

install: 
	echo Installing OpenMosix
	for i in $(DIRS); do echo Working on $$i; cd $(HERE)/$$i ;  $(MAKE) install; done 

clean:
	echo Cleaning sources
	for i in $(DIRS); do echo Working on $$i; cd $(HERE)/$$i ;  $(MAKE) clean; done
