=== src/mon/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration


SOURCE	= mon.c

CFLAGS	+= -I../moslib 
LDFLAGS += -s

LIBS = ../moslib/libmos.a


all: clean build man install

build: $(SOURCE)
	$(CC) $(CFLAGS) -o $(MONNAME) $? $(LIBS) -lncurses

man	: mon.man
	cp $? $(MONNAME).1

install: build man
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/bin
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0444 $(MONNAME).1 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0555 -s $(MONNAME) $(INSTALLDIR)/bin

clean:
	rm -f *.a *.o core
	rm -f $(MONNAME) $(MONNAME).1


# What is this? I must ask Moshe about it.
# Following 3 lines, Authored by Ariel Eizenberg
research:
	$(CC) -DCONFIG_MOSIX_RESEARCH $(CFLAGS) -c -o mon.o mon.c
	$(CC) $(LDFLAGS) -o mon mon.o -lncurses
