=== src/moslib/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration


SOURCE	= libmosix.c dadvise.c msxctl.c
OBJS     = libmosix.o dadvise.o msxctl.o


CFLAGS	+= -fPIC

LIBS =  libmos.a libmos.so

LDFLAGS = -shared

all: clean build install
	


build: $(LIBS)




install: build
	$(INSTALL) -d -m 755 $(INSTALLDIR)
	$(INSTALL) -d -m 755 $(INSTALLDIR)/lib
	$(INSTALL) -d -m 755 $(INSTALLDIR)/include
	$(INSTALL) -s libmos.a $(INSTALLDIR)/lib
	$(INSTALL) -c -m 644 libmos.so $(INSTALLDIR)/lib
	$(INSTALL) -c -m 644 libmosix.h mos.h $(INSTALLDIR)/include
	/sbin/ldconfig

libmos.a: $(OBJS)
	ar crv libmos.a $(OBJS)
	ranlib libmos.a

libmos.so: $(OBJS)
	$(CC) $(LDFLAGS) -o $@.0 -Wl,-soname,$@.0 $(OBJS)
	ln -sf $@.0 $@

clean:
	rm -f *.a *.o *.so *.so.0 core
