=== src/mosrun/Makefile ===
## Copyright (c) 2002 David Santo Orcero irbis@orcero.org
## http://www.orcero.org/irbis
## Mosix is (c) of prof. Barak http://www.mosix.org
## OpenMosix is (c) of Moshe Bar http://www.openmosix.com
## Each respective trademark is of its own owner
## All rights reserved.
## This software is distributed under GPL 2
##
## THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTY IS ASSUMED.
## NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
## FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED. IT CAN BURN
## YOUR HARD DISK, ERASE ALL YOUR DATA AND BROKE DOWN YOUR 
## MICROWAVE OVEN. YOU ARE ADVISED.
##


include ../configuration


SOURCE	= mosrun.c

# Something interesting to improve

SHELLS= nomig runhome runon cpujob iojob nodecay slowdecay fastdecay

CFLAGS	+= -I../moslib 

LIBS = ../moslib/libmos.a


all: clean build man install

build: mosrun $(SHELLS)


mosrun	: $(SOURCE)
	$(CC) $(CFLAGS) -o mosrun $? $(LIBS)

man	: mosrun.man
	cp $? mosrun.1

$(SHELLS):
	@echo processing $@
	cp $@.sh $@
	chmod 755 $@

install: build man 
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/bin
	$(INSTALL) -c -m 0555 -s mosrun $(INSTALLDIR)/bin
	$(INSTALL) -c -m 0555 $(SHELLS) $(INSTALLDIR)/bin
	$(INSTALL) -d -m 0755 $(INSTALLDIR)/man/man1
	$(INSTALL) -c -m 0444 mosrun.1 $(INSTALLDIR)/man/man1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/nomig.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/runhome.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/runon.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/cpujob.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/iojob.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/nodecay.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/slowdecay.1
	ln -sf $(INSTALLDIR)/man/man1/mosrun.1 $(INSTALLDIR)/man/man1/fastdecay.1

clean:
	rm -f *.a *.o core
	rm -f mosrun mosrun.1
	rm -f $(SHELLS)
