=== debian/changelog ===
openmosix (1.5.4-3) unstable; urgency=low

  * Fixed MOSIX to OPENMOSIX in /etc/default/openmosix (Thanks to Ran Weili)
  * Changed mosix to openmosix in /etc/init.d/openmosix 
  * Fixed kernel-patch-mosix, and it now includes the actual patch. (Thanks to Matthias Rechenburger)

 -- Viral Shah <viral@debian.org>  Mon, 25 Mar 2002 12:35:00 -0700

openmosix (1.5.4-2) unstable; urgency=low

  * Now uses openmosix userland utils.
  * Remove patch for 2.4.14. 

 -- Viral Shah <viral@debian.org>  Sat, 16 Mar 2002 16:36:30 -0700

openmosix (1.5.4-1) unstable; urgency=low

  * openmosix is a fork from the original mosix distribution.
  * First upstream version.
  * Include kernel patches for 2.4.14, 2.4.16. This will be done
    until patches for a stable and more recent kernel are released.
  
 -- Viral Shah <viral@debian.org>  Thu, 21 Feb 2002 12:04:42 -0700

Local variables:
mode: debian-changelog
End:
