=== debian/control ===
Source: openmosix
Section: net
Priority: extra
Maintainer: Viral Shah <viral@debian.org>
Build-Depends: debhelper (>> 3.0.0), libncurses5-dev, dh-kpatches (>= 0.7)
Standards-Version: 3.5.6

Package: openmosix
Architecture: i386
Section: net
Depends: ${shlibs:Depends}, debconf, bash (>= 2.0)
Recommends: mps
Suggests: kernel-patch-openmosix (= ${Source-Version}), mosixview, net-tools, arpd
Conflicts: mosix0.98, mosix
Description: Utilities to administer an openmosix cluster node
 Openmosix is an extension to the linux kernel to support scalable and
 transparent cluster computing. The enhanced kernel allows a cluster 
 of workstations and servers based on the Intel x86 architecture to work 
 cooperatively as if part of a single system.
 .
 This package provides the utilities to run a openmosix cluster.

Package: kernel-patch-openmosix
Architecture: i386
Section: net
Depends: patch
Recommends: kernel-package (>= 7.0)
Suggests: openmosix (= ${Source-Version})
Description: Kernel patch for openmosix
 Openmosix is an extension to the linux kernel to support scalable and
 transparent cluster computing. The enhanced kernel allows a cluster 
 of workstations and servers based on the Intel x86 architecture to work 
 cooperatively as if part of a single system.
 .
 You may need to use the standard kernel sources, as the patch may not
 apply cleanly to Debian kernels.

Package: openmosix-dev
Architecture: i386
Section: devel
Depends: libc6-dev, openmosix (= ${Source-Version})
Suggests: kernel-patch-openmosix (= ${Source-Version})
Conflicts: mosix-dev
Description: Openmosix development files (static library and header files)
 Openmosix is an extension to the linux kernel to support scalable and
 transparent cluster computing. The enhanced kernel allows a cluster of 
 workstations and servers based on the x86 architecture to work cooperatively 
 as if part of a single system.
 .
 This package contains the header files and static libraries.
